import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Chiran.Songbook.Class"; -- Turbine library included so that there's no outside dependencies
import "Chiran.Songbook.ToggleWindow";
import "Chiran.Songbook.SettingsWindow";
import "Chiran.Songbook.SongbookLang";
import "Chiran.Songbook";

songbookWindow = Chiran.Songbook.SongbookWindow();
if (Settings.WindowVisible == "yes") then
	songbookWindow:SetVisible( true );
else
	songbookWindow:SetVisible( false );
end
settingsWindow = Chiran.Songbook.SettingsWindow();
settingsWindow:SetVisible( false );

toggleWindow = Chiran.Songbook.ToggleWindow();
if (Settings.ToggleVisible == "yes") then
	toggleWindow:SetVisible( true );
else 
	toggleWindow:SetVisible( false );
end

songbookCommand = Turbine.ShellCommand();

function songbookCommand:Execute(cmd, args)
	if ( args == Strings["sh_show"] ) then
		songbookWindow:SetVisible( true );
	elseif ( args == Strings["sh_hide"] ) then
		songbookWindow:SetVisible( false );
	elseif ( args == Strings["sh_toggle"] ) then
		songbookWindow:SetVisible( not songbookWindow:IsVisible() );
	elseif ( args ~= nil ) then
		songbookCommand:GetHelp();
	end
end

function songbookCommand:GetHelp()
	Turbine.Shell.WriteLine( Strings["sh_help1"] );
	Turbine.Shell.WriteLine( Strings["sh_help2"] );
	Turbine.Shell.WriteLine( Strings["sh_help3"] );
end

Turbine.Shell.AddCommand( "songbook", songbookCommand );